Batch upsert people
Create or update multiple people (max 100).
curl -X POST "https://api.flameup.ai/api/v1/people/batch" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"people": [
{
"userId": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"traits": {
"first_name": "John Doe",
"last_name": "John Doe",
"phone": "+1-555-0123",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string"
}
}
]
}'
import requests
import json
url = "https://api.flameup.ai/api/v1/people/batch"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"people": [
{
"userId": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"traits": {
"first_name": "John Doe",
"last_name": "John Doe",
"phone": "+1-555-0123",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string"
}
}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.flameup.ai/api/v1/people/batch", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"people": [
{
"userId": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"traits": {
"first_name": "John Doe",
"last_name": "John Doe",
"phone": "+1-555-0123",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string"
}
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"people": [
{
"userId": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"traits": {
"first_name": "John Doe",
"last_name": "John Doe",
"phone": "+1-555-0123",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string"
}
}
]
}`)
req, err := http.NewRequest("POST", "https://api.flameup.ai/api/v1/people/batch", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.flameup.ai/api/v1/people/batch')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"people": [
{
"userId": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"traits": {
"first_name": "John Doe",
"last_name": "John Doe",
"phone": "+1-555-0123",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string"
}
}
]
}'
response = http.request(request)
puts response.body
{
"people": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"workspace_id": "example_string",
"external_id": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"first_name": "John Doe",
"last_name": "John Doe",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string",
"status": "active",
"attributes": {},
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z",
"first_seen_at": "2024-12-25T10:00:00Z",
"last_seen_at": "2024-12-25T10:00:00Z"
}
],
"created_count": 10,
"updated_count": 10
}
POST
/people/batch
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredYour Flameup API key (passed as Bearer token)
Your Flameup API key (passed as Bearer token)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Your Flameup API key (passed as Bearer token)
Body
application/json
Responses
peoplearray
created_countinteger
updated_countinteger
Was this page helpful?